package com.fjhx.jushuitan.service.shop;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.jushuitan.entity.shop.dto.ShopInfoDto;
import com.fjhx.jushuitan.entity.shop.dto.ShopInfoSelectDto;
import com.fjhx.jushuitan.entity.shop.po.ShopInfo;
import com.fjhx.jushuitan.entity.shop.vo.ShopInfoVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 店铺管理 服务类
 * </p>
 *
 * @author
 * @since 2024-01-07
 */
public interface ShopInfoService extends BaseService<ShopInfo> {

    /**
     * 店铺管理分页
     */
    Page<ShopInfoVo> getPage(ShopInfoSelectDto dto);

    /**
     * 店铺管理明细
     */
    ShopInfoVo detail(Long id);

    /**
     * 店铺管理新增
     */
    void add(ShopInfoDto shopInfoDto);

    /**
     * 店铺管理编辑
     */
    void edit(ShopInfoDto shopInfoDto);

    /**
     * 店铺管理删除
     */
    void delete(Long id);

}
